import CJS_COMPAT_NODE_URL_dn9c4nlir7q from 'node:url';
import CJS_COMPAT_NODE_PATH_dn9c4nlir7q from 'node:path';
import CJS_COMPAT_NODE_MODULE_dn9c4nlir7q from "node:module";

var __filename = CJS_COMPAT_NODE_URL_dn9c4nlir7q.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_dn9c4nlir7q.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_dn9c4nlir7q.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------

// ../../node_modules/slash/index.js
function slash(path) {
  return path.startsWith("\\\\?\\") ? path : path.replace(/\\/g, "/");
}

export {
  slash
};
